rte_event_timer(3)

NAME
rte_event_timer

SYNOPSIS

#include <rte_event_timer_adapter.h>

  Data Fields

struct rte_event ev
uint64_t timeout_ticks
uint64_t impl_opaque [2]
enum rte_event_timer_state state
uint8_t user_meta []

Detailed Description

The generic rte_event_timer structure to hold the event timer attributes for arm and cancel operations.

Definition at line 476 of file rte_event_timer_adapter.h.

Field Documentation

  struct rte_event ev
Expiry event attributes. On successful event timer timeout, the following attributes will be used to inject the expiry event to the eventdev:

•   event_queue_id: Targeted event queue id for expiry events.

•   event_priority: Event priority of the event expiry event in the event queue relative to other events.

•   sched_type: Scheduling type of the expiry event.

•   flow_id: Flow id of the expiry event.

•   op: RTE_EVENT_OP_NEW

•   event_type: RTE_EVENT_TYPE_TIMER

Definition at line 477 of file rte_event_timer_adapter.h.

  uint64_t timeout_ticks
Expiry timer ticks expressed in number of timer_ticks_ns from now.

See also
    struct rte_event_timer_adapter_info::adapter_conf::timer_tick_ns

Definition at line 490 of file rte_event_timer_adapter.h.

  uint64_t impl_opaque[2]
Implementation-specific opaque data. An event timer adapter implementation use this field to hold implementation specific values to share between the arm and cancel operations. The application should not modify this field.

Definition at line 495 of file rte_event_timer_adapter.h.

  enum rte_event_timer_state state
State of the event timer.

Definition at line 501 of file rte_event_timer_adapter.h.

  uint8_t user_meta[]
Memory to store user specific metadata. The event timer adapter implementation should not modify this area.

Definition at line 503 of file rte_event_timer_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.